<?php
 
 
 

namespace PhpWA\Protocol\Proto\Conversation;

use UnexpectedValueException;




class EndOfHistoryTransferType
{
    


    const COMPLETE_BUT_MORE_MESSAGES_REMAIN_ON_PRIMARY = 0;
    


    const COMPLETE_AND_NO_MORE_MESSAGE_REMAIN_ON_PRIMARY = 1;
    


    const COMPLETE_ON_DEMAND_SYNC_BUT_MORE_MSG_REMAIN_ON_PRIMARY = 2;

    private static $valueToName = [
        self::COMPLETE_BUT_MORE_MESSAGES_REMAIN_ON_PRIMARY => 'COMPLETE_BUT_MORE_MESSAGES_REMAIN_ON_PRIMARY',
        self::COMPLETE_AND_NO_MORE_MESSAGE_REMAIN_ON_PRIMARY => 'COMPLETE_AND_NO_MORE_MESSAGE_REMAIN_ON_PRIMARY',
        self::COMPLETE_ON_DEMAND_SYNC_BUT_MORE_MSG_REMAIN_ON_PRIMARY => 'COMPLETE_ON_DEMAND_SYNC_BUT_MORE_MSG_REMAIN_ON_PRIMARY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

